Package org.opensaml.soap.wssecurity

# Interface UsageBearing

All Known Subinterfaces:
  `SecurityTokenReference`

All Known Implementing Classes:
  `SecurityTokenReferenceImpl`

public interface UsageBearing
Interface for element having a `@wsse:Usage` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WSSE_USAGE_ATTR_LOCAL_NAME`
The wsse:@Usage attribute local name.
`static final QName`
`WSSE_USAGE_ATTR_NAME`
The wsse:@Usage qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getWSSEUsages()`
Returns the list of `wsse:@Usage` attributes value.
`void`
`setWSSEUsages(List<String> usages)`
Sets the list of `wsse:@Usage` attributes value.

## Field Details

### WSSE_USAGE_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String WSSE_USAGE_ATTR_LOCAL_NAME
The wsse:@Usage attribute local name.

See Also:
  - Constant Field Values

### WSSE_USAGE_ATTR_NAME

@Nonnull static final QName WSSE_USAGE_ATTR_NAME
The wsse:@Usage qualified attribute name.

## Method Details

### getWSSEUsages

@Nullable List<String> getWSSEUsages()
Returns the list of `wsse:@Usage` attributes value.

Returns:
  the list of attribute values

### setWSSEUsages

void setWSSEUsages(@Nullable List<String> usages)
Sets the list of `wsse:@Usage` attributes value.

Parameters:
  `usages` - the list of attribute values